# Amuse: amuse::EffectDelay Class Reference

amuse::EffectDelay Class Reference

`#include <EffectDelay.hpp>`

Inheritance diagram for amuse::EffectDelay:
Collaboration diagram for amuse::EffectDelay:

## Public Types

template<typename T >
using | ImpType = EffectDelayImp< T >

## Public Member Functions

void | setDelay (uint32_t delay)
void | setChanDelay (int chanIdx, uint32_t delay)
void | setFeedback (uint32_t feedback)
void | setChanFeedback (int chanIdx, uint32_t feedback)
void | setOutput (uint32_t output)
void | setChanOutput (int chanIdx, uint32_t output)

## Protected Attributes

uint32_t | x3c_delay [8]
uint32_t | x48_feedback [8]
uint32_t | x54_output [8]
bool | m_dirty = true

## Detailed Description

Mixes the audio back into itself after specified delay

Definition at line 15 of file EffectDelay.hpp.

## Member Data Documentation

bool amuse::EffectDelay::m_dirty = true

protected

needs update of internal parameter data

Definition at line 21 of file EffectDelay.hpp.

uint32_t amuse::EffectDelay::x3c_delay[8]

protected

[10, 5000] time in ms of each channel's delay

Definition at line 18 of file EffectDelay.hpp.

uint32_t amuse::EffectDelay::x48_feedback[8]

protected

[0, 100] percent to mix delayed signal with input signal

Definition at line 19 of file EffectDelay.hpp.

uint32_t amuse::EffectDelay::x54_output[8]

protected

[0, 100] total output percent

Definition at line 20 of file EffectDelay.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectDelay.hpp